<?php



 require_once("../header.php");
 $caja = $_GET["caja"];

$usuario = "";/////$_GET["usuario"];



if($_COOKIE['nivel']!="Master"){
	/////$usuario = $_COOKIE['usuario'];
}



 require_once("datos_resultados.php");

 $sql_usuarios = mysql_query("select * from login order by nombre asc") or die(mysql_error());
 
?>


<style type="text/css" media="print">
.btn, #ttl, .form-control, a{
	display:none;
	
}

div {
	font-size:14px;
		
	
}
</style>

<style type="text/css">
	.panel{
		min-height: 250px;
	}
</style>

 <div class="container-fluid" style="background:white; padding:15px">
	   <ol class="breadcrumb">
	    <li><a href="#">Operaciones del dia</a></li>
	   
	   
    </ol>
    <span class="h3 text-primary" id="ttl"><i class="bi bi-cash-coin"></i> Movimientos de caja</span><hr>

    <div class="row">
   <div class="col-md-2  mb-2">
              <button class="btn btn-primary1" onClick="soloImprimir2()"><i class="bi bi-printer"></i> Imprimir</button>
	</div>			
				<div class="col-xs-1  mb-2"><b>Fecha</b></div>

    	     <div class="col-md-2  mb-2">
              <input type="Date" id="fecha1" class="form-control" value="<?php echo $fecha1?>">            
              </div> 
				
			

    	     <div class="col-md-2  mb-2">
                             <input type="Date" id="fecha2" class="form-control" value="<?php echo $fecha2?>">  
                </div>
				
              <div class="col-md-3  mb-2">
                <button class="btn btn-success" onClick="consultar()"><i class="bi bi-search"></i> Mostrar </button>
				<?php 
				 if($_COOKIE["punto_de_venta"]=="s"){
				?>	 
				<button class="btn btn-info" onClick="imprimir()"><i class="bi bi-printer"></i> Cerrar caja </button>
				 <?php }else{
					 
                ?>
				<button class="btn btn-rojo" onClick="soloImprimir()"><i class="bi bi-printer"></i> Imprimir </button>
				
				 <?php }?>
		   </div>
    </div>

  
  <span class="h4" id="fecha_apertura"></span>
<script type="text/javascript">
	//$("#lb-caja3").html(estadoCaja);
</script>
    <div class="row">


    	<div class="col-md-2">
    		
		  <div class="panel1 panel-default">
			<div class="panel-heading">
				<h3 align="center" class="text-danger">CASA CAMBIO</h3>
			</div>

            

			










			
			<div class="panel-body">
				<center>
					<b class="tex-primary  mt-2">BALANCE INICIALES DEL DIA</b><br>
				 </center>
            <b class="text-dark  mt-2">Pesos</b>
			<span class="text-dark" id='lb-balance' style="float:right"><?php echo @decimal($inip);?></span><br>
			
			 <b class="text-dark  mt-2">Gourde</b>
			<span class="text-dark" id='lb-balance' style="float:right"><?php echo @decimal($inig);?></span><br>

			 <b class="text-dark  mt-2">Dolar</b>
			<span class="text-dark" id='lb-balance' style="float:right"><?php echo @decimal($inid);?></span><br>
		
			<a class="text-ubuntu" href="javascript:void(0)" onClick="agregar_inicio()"><i class="bi bi-database-add"></i> Agregar balance inicial</a>
		
			<script>
			function agregar_inicio(){
				window.open('balance.php', '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=450,height=700');
			}
			</script>




                 <hr>
				<b class="text-rojo  mt-2">COMPRA Y VENTA DIVISAS</b>
					
				
				<hr>
				<center>
				<b class="text-primary  mt-2">DOLAR</b>
				</center>
			<b class="text-dark  mt-2">Compra</b>
			<span class="text-primary" id='lb-balance' style="float:right"><?php echo decimal($totalCompraDolar)?></span><br>
				<b class="text-dark  mt-2">Venta</b>
					<span class="text-rojo" id='lb-balance' style="float:right"><?php echo "-".decimal($totalVentaDolar)?></span><br>
				<b class="text-dark  mt-2">BALANCE U$</b>
			<span class="text-dark" id='lb-balance' style="float:right"><?php $tind = $ingreso_dolar +$ingreso_dolarc+ $totalCompraDolar; $ted = $totalVentaDolar + $egreso_dolar; $bald = $tind - $ted; $bald = $bald + $inid; echo @decimal($bald);?></span><br>
			
			<center>
				<b class="text-primary  mt-2">GOURDE</b>
			</center>
				
				<b class="text-dark  mt-2">Compra</b>
			<span class="text-dark" id='lb-balance' style="float:right"><?php echo @decimal($totalCompraGourde);?></span><br>
			<b class="text-dark  mt-2">Venta</b>
			<span class="text-dark" id='lb-balance' style="float:right"><?php echo @decimal($totalVentaGourde);?></span><br>
			<b class="text-dark  mt-2">BALANCE GOURDE</b>
			<span class="text-dark" id='lb-balance' style="float:right"><?php $ting = $ingreso_gourde +$ingreso_gourdec+ $totalCompraGourde; $teg = $totalVentaGourde + $egreso_gourde; $balg = $ting - $teg; $balg = $balg + $inig; echo @decimal($balg);?></span><br>
			<br>
			<center>
				<b class="text-primary  mt-2">PESOS</b>
			</center>
			<b class="text-dark  mt-2">Compra  U$</b>
			<span class="text-rojo" id='lb-balance' style="float:right"><?php echo "-".@decimal($ppeso1);?></span><br>
			<b class="text-dark  mt-2">Venta U$</b>
			<span class="text-primary" id='lb-balance' style="float:right"><?php echo "+".@decimal($ppeso2);?></span><br>
			<b class="text-dark  mt-2">Compra Gourde</b>
			<span class="text-rojo" id='lb-balance' style="float:right"><?php echo "-".@decimal($ppeso3);?></span><br>
			<b class="text-dark  mt-2">Venta Gourde</b>
			<span class="text-primary" id='lb-balance' style="float:right"><?php echo "+".@decimal($ppeso4);?></span><br>
			<b class="text-dark  mt-2">BALANCE PESOS</b>
			<span class="text-dark" id='lb-balance' style="float:right"><b><?php echo @decimal($bala+$inip+$ingreso_pesosc+$enpesos1+$enpesos2);?></b></span><br>
			
			<hr>
			<?php if($_COOKIE["nivel"]=="Master"){?>
			<center>
			<b class="text-ubuntu  mt-2">BENEFICIOS PESOS CASA CAMBIO</b>
			</center>
			<hr>
			<b class="text-primary  mt-2">POR VENTA DIVISA</b>
			<span class="text-dark" id='lb-balance'><b><?php echo @decimal($beneficio_pesos);?></b></span><br>
						<hr>
			<b class="text-primary  mt-2">CAMBIO AL PAGO CREDITO</b>
			<span class="text-dark" id='lb-balance'><b><?php echo @decimal($beneficio_credito);?></b></span><br>
  <br>
			<b class="text-dark  mt-2">TOTAL BENEFICIOS </b>
			<b><span class="text-dark" id='lb-balance' style="float:right"><?php echo decimal( $beneficio_credito +  $beneficio_pesos);?></span></b><br>
			
			<?php }?>
			</div>

			</div>
			
			<input type="hidden" class="form-control" id="ibalance" value="<?php echo $bala;?>">
			
    	</div>



    	<div class="col-md-2">
		   <div class="panel1 panel-default">
			<div class="panel-heading">
				<h3 align="center" class="text-primary">INGRESOS CAJA</h3>
			</div>

			<div class="panel-body">
				<b class="text-dark  mt-2"><b>Pesos:</b></b>
				
			
				<span class="text-success pull-right" id='lb-otros-ingresos'><?php echo decimal($ingreso_pesos + $enpesos1 + $enpesos2);?></span><br>
				
				
				<b class="text-dark  mt-2"><b>Gourde:</b></b>
				
				<span class="text-success pull-right" id='lb-otros-ingresos'><?php echo decimal($ingreso_gourde);?></span><br>
				
				<b class="text-dark  mt-2"><b>Dolar:</b></b>
				
				<span class="text-success pull-right" id='lb-otros-ingresos'><?php echo decimal($ingreso_dolar);?></span><br>
			<a href="javascript:void(0)" onClick="ingresos()"> <b><i class="bi bi-coin"></i> Ver ingresos</b></a>
			<br>
			<a class="text-ubuntu" href="javascript:void(0)" onClick="ingreso()"><i class="bi bi-upload"></i> Realizar ingreso caja</a>
			<script>
				function ingreso(){
				window.open('../pos/ingresos.php?n=1', '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=450,height=700');
			}
			</script>

				<h5 align="center" class="text-primary">INGRESOS PAGOS CREDITO</h5>

				<b class="text-dark  mt-2"><b>Pesos:</b></b>
				
			
				<span class="text-success pull-right" id='lb-otros-ingresos'><?php echo decimal($ingreso_pesosc);?></span><br>
				
				
				<b class="text-dark  mt-2"><b>Gourde:</b></b>
				
				<span class="text-success pull-right" id='lb-otros-ingresos'><?php echo decimal($ingreso_gourdec);?></span><br>
				
				<b class="text-dark  mt-2"><b>Dolar:</b></b>
				
				<span class="text-success pull-right" id='lb-otros-ingresos'><?php echo decimal($ingreso_dolarc);?></span><br>

				
			</div>

			</div>
    	</div>

    	<div class="col-md-2">
		   <div class="panel1 panel-default">
			<div class="panel-heading">
				<h3 align="center" class="text-danger">GASTOS</h3>
			</div>

			<div class="panel-body">
				<b class="text-dark  mt-2"><b>Pesos:</b></b>
				<span class="text-success pull-right" id='lb-otros-ingresos'><?php echo decimal($egreso_pesos)?></;?></span><br>
				<b class="text-dark  mt-2"><b>Gourde:</b></b>
				<span class="text-success pull-right" id='lb-otros-ingresos'><?php echo decimal($egreso_gourde);?></span><br>
				
				<b class="text-dark  mt-2"><b>Dolar:</b></b>
				
				<span class="text-success pull-right" id='lb-otros-ingresos'><?php echo decimal($egreso_dolar);?></span><br>
				<a href="javascript:void(0)" onClick="egresos()"> <b><i class="bi bi-clock-history"></i> Ver gastos</b></a>
				
			</div>

			</div>
    	</div>
		
		<div class="col-md-2">
		   <div class="panel1 panel-default">
			<div class="panel-heading">
				<h3 align="center" class="text-success">PRODUCTOS</h3>
			</div>
			
			
			
			<div class="panel-body">
				
				<b class="text-dark  mt-2">COMPRAS</b>
				
				<span class="text-dark" id='lb-balance' style="float:right"><?php echo @decimal(mysql_result($compras, 0, "total"));?></span><br>
			
			<b class="text-primary  mt-2">NATCOM</b>
			<span class="text-primary" id='lb-balance' style="float:right"><?php echo decimal(mysql_result($compras_natcom, 0, "total"))?></span><br>
				<b class="text-primary  mt-2">DIGICEL</b>
			<span class="text-primary" id='lb-balance' style="float:right"><?php echo @decimal(mysql_result($compras_digicel, 0, "total"));?></span><br>
				<b class="text-primary  mt-2">NATCASH</b>
			<span class="text-primary" id='lb-balance' style="float:right"><?php echo @decimal(mysql_result($compras_natcash, 0, "total"));?></span><br>
				<b class="text-primary  mt-2">MONCASH</b>
			<span class="text-primary" id='lb-balance' style="float:right"><?php echo @decimal(mysql_result($compras_moncash, 0, "total"));?></span><br>

			</div>

			<div class="panel-body">
				
			<a class="text-ubuntu" href="javascript:void(0)" onClick="balance_manual()"><i class="bi bi-upload"></i><b> Asignar blance manual en CHIP</b></a>
			
			<br>
			
			<a class="text-ubuntu" href="javascript:void(0)" onClick="balance_manual2()"><i class="bi bi-save"></i><b> Ingreso recarga</b></a>
		
			
			<script>
			function balance_manual(){
				window.open('balance_chips.php', '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=450,height=700');
			}
			
			function balance_manual2(){
				window.open('balance_chips2.php', '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=450,height=700');
			}
			</script>



			<center><h5 align="center" class="text-dark">BALANCE EN RECARGAS</h5></center>
			<b class="text-primary  mt-2">NATCOM</b>
			<span class="text-primary" id='lb-balance' style="float:right"><?php echo decimal(mysql_result($balance_natcom, 0, "total"))?></span><br>
				<b class="text-primary  mt-2">DIGICEL</b>
			<span class="text-primary" id='lb-balance' style="float:right"><?php echo @decimal(mysql_result($balance_digicel, 0, "total"));?></span><br>
			<center><h5 align="center" class="text-dark">BALANCE EN REMESAS</h5></center>
				<b class="text-primary  mt-2">NATCASH</b>
			<span class="text-primary" id='lb-balance' style="float:right"><?php echo @decimal(mysql_result($balance_natcash, 0, "total"));?></span><br>
				<b class="text-primary  mt-2">MONCASH</b>
			<span class="text-primary" id='lb-balance' style="float:right"><?php echo @decimal(mysql_result($balance_moncash, 0, "total"));?></span><br>
			<hr>
			<center>
			<b class="text-rojo  mt-2" style="font-size:18px">BALANCE GENERAL EN CHIP</b><br>
			<b><span class="text-dark" id='lb-balance' style="float:right; font-size:35px"><?php echo decimal(mysql_result($balance_gourde, 0, "total"))?></span></b><br>
			</center>
			</div>

			</div>
    	</div>
		
		
		
    	<div class="col-md-3">
		   <div class="panel1 panel-default">
			<div class="panel-heading">
				<h3 align="center" class="text-rojo">REMESAS</h3>
			</div>

			<div class="panel-body">
			<center><h3 align="center" class="text-success">INGRESOS POR RECARGA</h3></center>
			<b class="text-primary  mt-2">NATCOM</b>
			<span class="text-primary" id='lb-balance' style="float:right"><?php echo decimal(mysql_result($ventas_natcom, 0, "total"))?></span><br>
				<b class="text-primary  mt-2">DIGICEL</b>
			<span class="text-primary" id='lb-balance' style="float:right"><?php echo @decimal(mysql_result($ventas_digicel, 0, "total"));?></span><br>
			
			
			<center><h3 align="center" class="text-success">INGRESOS POR REMESAS</h3></center>
				<b class="text-primary  mt-2">NATCASH</b><br>
		  <span class="text-dark" id='lb-balance' style="float:left">En GOURDE: </span><span class="text-dark" id='lb-balance' style="float:right"><?php echo decimal($engourde1)?></span><br>
		  <span class="text-dark" id='lb-balance' style="float:left">En PESOS: </span><span class="text-dark" id='lb-balance' style="float:right"><i><<--Casa cambio</i></span><br>
		  <span class="text-primary" id='lb-balance' style="float:left">TOTAL SALIDA CHIP: </span><span class="text-primary" id='lb-balance' style="float:right"><?php echo "GHT ".decimal($recibe1)?></span><br>

				<hr>
			
				<b class="text-primary  mt-2">MONCASH</b><br>
			  <span class="text-dark" id='lb-balance' style="float:left">En GOURDE: </span><span class="text-dark" id='lb-balance' style="float:right"><?php echo decimal($engourde2)?></span><br>
		  <span class="text-dark" id='lb-balance' style="float:left">En PESOS: </span><span class="text-dark" id='lb-balance' style="float:right"><i><<-Casa cambio</i></span><br>
		  <span class="text-primary" id='lb-balance' style="float:left">TOTAL SALIDA CHIP: </span><span class="text-primary" id='lb-balance' style="float:right"><?php echo "GHT ".decimal($recibe2)?></span><br>
		  <span class="text-dark" id='lb-balance' style="float:left">TOTAL SALIDA CHIP: </span><span class="text-rojo" id='lb-balance' style="float:right"><?php echo "GHT ".decimal($recibe1 + $recibe2)?></span><br><hr>
		<b>
		
		  <span class="text-dark" id='lb-balance' style="float:left">TOTAL INGRESO PESOS: </span><span class="text-primary" id='lb-balance' style="float:right"><i>Casa cambio</i></span><br>
		    <span class="text-dark" id='lb-balance' style="float:left">TOTAL INGRESO  GOURDE: </span><span class="text-primary" id='lb-balance' style="float:right"><?php echo "GHT ".decimal($engourde1 + $engourde2)?></span><br>
			
</b>		
		<hr>
		<?php if($_COOKIE["nivel"]=="Master"){?>
			<b class="text-rojo  mt-2">Creditos</b><br>
		
			
			<b class="text-dark  mt-2">En GOURDE</b>
			<b><span class="text-dark" id='lb-balance' style="float:right"><?php echo decimal(mysql_result($creditos2, 0, "total"))?></span></b><br>
				<b class="text-dark  mt-2">En DOLAR</b>
			<b><span class="text-dark" id='lb-balance' style="float:right"><?php echo decimal(@mysql_result($creditos3, 0, "total"))?></span></b><br>
			<b class="text-dark  mt-2">En PESOS</b>
			<b><span class="text-dark" id='lb-balance' style="float:right"><?php echo decimal(mysql_result($creditos, 0, "total"))?></span></b><br>
			
			
			<hr>
			
			<center>
			<h4>GANANCIAS</h4>
			<hr>
			</center>
			
			<b class="text-dark  mt-2">Comision RD$: </b>
			<b><span class="text-dark" id='lb-balance' style="float:right"><?php echo decimal(mysql_result($comision, 0, "total"))?></span></b><br>
			
			<b class="text-dark  mt-2">Beneficio por tasa RD$</b>
			<b><span class="text-dark" id='lb-balance' style="float:right"> <b style='color:blue'>RD$: <?php echo decimal($beneficio)?></b></span></b><br>
		
			
			
			<b class="text-dark  mt-2">TOTAL GANANCIA PESOS: </b>
			<b><span class="text-dark" id='lb-balance' style="float:right"><?php echo decimal(mysql_result($comision, 0, "total") +  $beneficio);?></span></b><br>
		
			<hr>
			
			<b class="text-ubuntu  mt-2">Comision GOURDE: </b>
			<b><span class="text-ubuntu" id='lb-balance' style="float:right"><?php echo decimal(mysql_result($comision2, 0, "total"))?></span></b><br>
			
	
			<?php }?>
			</div>

			</div>
    	</div>

    	

    </div>
</div>



<script type="text/javascript">
if(myLevel!="Master"){
	$("#usuario option[value='"+myUser+"']").prop('selected', true);
	$("#usuario").prop("disabled", true);
	
}


if(myLevel=="Master"){
	var uu = "<?php echo $_GET['usuario']?>";
	$(".btn").hide()
	setTimeout(function(){
		$("#usuario option[value='"+uu+"']").prop('selected', true);
		$(".btn").show()
	},2000)
}

function calculo(){
	var efe = $("#efectivo").val()
	var bal = "<?php echo $bala;?>";
	var dif = efe - bal;
	$("#diferencia").val(dif)
}


function soloImprimir(){
	 var fecha1 = $("#fecha1").val()
	  var fecha2 = $("#fecha2").val()
	   var usuario = $("#usuario").val()
	 window.open('resultados_.php?usuario='+usuario+'&fecha1='+fecha1+'&fecha2='+fecha2, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
}

function soloImprimir2(){
	 var fecha1 = $("#fecha1").val()
	  var fecha2 = $("#fecha2").val()
	   var usuario = $("#usuario").val()
	 window.open('resultados_2.php?usuario='+usuario+'&fecha1='+fecha1+'&fecha2='+fecha2, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
}



function imprimir(){
	var usuario = $("#usuario").val()
	var efectivo = $("#efectivo").val()
	var diferencia = $("#diferencia").val()
	
		if(usuario==""){
		alert("Debe seleccionar el usuario");
		return;
	}
	if(!confirm("Seguro(a) que de sea realizar el cierre para este usuario")){return;}
	

	
	$.get("cerrar_todas_operaciones.php?usuario="+usuario+"&efectivo="+efectivo+"&diferencia="+diferencia, function(data, st){
		if(st=="success"){
			if(data==1){
				
				window.print();
				document.write("Caja cerrada con exito!");
			
				setTimeout(function(){
				
				window.location.href="../menu/menu.php";
				},3000)
			
			}else{
				alert(data)
			}
		}
	} )
			
}


 var balance=0.00;
 var ingresos_credito=0
 var ingresos_otros=0
 var egresos_compras=0
 var egresos_devoluciones=0;
 var egresos_otros=0
var ingreso_inicio=0
var ingreso_venta=0

	cashState(myCaja)
	var seceuncia="";
              function cashState(caja){
                var sql = "select * from apertura_caja where caja='"+caja+"' order by id desc limit 1";
                _enviar("../php/traer_datos.php",{sql:sql})
                .done( function( data ){
                  var rs = JSON.parse(data);
                  estadoCaja = rs.data[0].estado;
				  secuencia = rs.data[0].id+"-"+myCaja;
				  ///alert(secuencia)

                   $("#lb-caja3").html("Caja: "+myCaja);
                    ////$("#fecha_apertura").html("Fecha apertura: "+rs.data[0].hora_apertura);
                })
              }
	function cerrar(){
		if(estadoCaja=="Cerrado"){alert("Esta caja ya habia cerrado el turno"); return;}
		if(!confirm("Seguro de cerrar este turno?")){return;}
		var param ="fecha="+$("#fecha_apertura").html();
			param +="&usuario="+$("#lb-caja3").html();
			param +="&inicio="+$("#lb-inicio").html();
			param +="&balance="+$("#lb-balance").html();
			param +="&usuario="+myUser;
			param +="&secuencia="+secuencia;
			param +="&diferencia="+$("#lb-diferencia").html();
			param +="&venta-efectivo="+$("#lb-venta-efectivo").html();
			param +="&venta-contado="+$("#lb-venta-contado").html();
			param +="&venta-credito="+$("#lb-venta-credito").html();
			param +="&venta-cheque="+$("#lb-venta-cheque").html();
			param +="&venta-tarjeta="+$("#lb-venta-tarjeta").html();
			param +="&devoluciones="+$("#lb-devoluciones").html();
			param +="&pagos="+$("#lb-pagos").html();
			param +="&otros-ingresos="+$("#lb-otros-ingresos").html();
			param +="&egresos="+$("#lb-egresos").html();
			param +="&otros-egresos="+$("#lb-otros-egresos").html();
			param +="&conteo="+$("#txt-conteo").val();
			param +="&tipo=save";

		var sql = "update apertura_caja set fecha_cierre=NOW(), hora_cierre=NOW()";
			sql+=", contado='"+$("#txt-conteo").val()+"'"
			sql+=", balance='"+miBalance+"'"
			sql+=", diferencia='"+miDiferencia+"'"
			sql+=", estado='Cerrado' where caja='"+myCaja+"' and estado='Abierto'";
		_enviar("../php/update.php",{sql:sql})
		.done( function  ( data ){
			if(data=="1"){alert("Caja cerrada satisfactoriamente!"); 
			  localStorage.setItem("estado_caja", "cerrada");
			 if($("#tipo_vista").val()=="Detallado"){
				window.location.href = '../reportes/rptCierreTurnoDetallado.php?'+param
			 }else{
			  window.location.href = '../reportes/rptCierreTurno.php?'+param
			 }
			 setTimeout(function(){
			  	window.location.href="turnos_caja.php"
			  },2000)
			 }else{alert(data)}
		})
	}
	
function consultar(){
	var usuario = $("#usuario").val();
	var fecha1 = $("#fecha1").val();
	var fecha2 = $("#fecha2").val();
	window.location.href="resultados.php?usuario="+usuario+"&fecha1="+fecha1+"&fecha2="+fecha2;
}

/*

seceuncia();
  var secuencia="";
  function seceuncia(){
	var inicio=0;
    var sql = "select * from apertura_caja where caja='" + myCaja + "' and estado='Abierto' order by id desc limit 1";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        estadoCaja = rs.data[0].estado;
        secuencia = rs.data[0].id+"-"+myCaja;
		inicio = rs.data[0].monto_apertura;
		$("#lb-inicio").html(numeral(inicio).format('0,0.00'));
		balance+=parseFloat(inicio);
		ingreso_inicio = inicio
		
        ventas();
		

      })
  }

  function ventas(){
	var c_contado=0;  ///Cantidad ventas al contado
	var t_contado=0;  ///Total de ventas al contado
	var c_credito=0;  ///Cantidad de ventas a credito
	var t_credito=0;  ///Total de ventas a credito
	var c_cheque=0;  ///Cantidad de ventas a cheque
	var t_cheque=0;  ///Total de ventas a cheque
	var c_tarjeta=0;  ///Cantidad de ventas a tarjeta
	var t_tarjeta=0;  ///Total de ventas a tarjeta
	
    var sql = "select * from ventas where secuencia='" + secuencia + "' and estado!='Anulada'";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        for(var i in rs.data){
			

			if(rs.data[i].termino=="Contado"){
				c_contado++;
				t_contado+=parseFloat(rs.data[i].total);
				
			
				
				
			}
			
			if(rs.data[i].termino=="Credito"){
				c_credito++;
				t_credito+=parseFloat(rs.data[i].total);
			}

			if(rs.data[i].termino=="Cheque"){
				c_cheque++;
				t_cheque+=parseFloat(rs.data[i].total);
				
			}

			if(rs.data[i].termino=="Tarjeta"){
				c_tarjeta++;
				t_tarjeta+=parseFloat(rs.data[i].total);
			}

			$("#lb-venta-contado").html(c_contado+"("+numeral(t_contado).format('0,0.00')+")");
			$("#lb-venta-credito").html(c_credito+"("+numeral(t_credito).format('0,0.00')+")");
			$("#lb-venta-cheque").html(c_cheque+"("+numeral(t_cheque).format('0,0.00')+")");
			$("#lb-venta-tarjeta").html(c_tarjeta+"("+numeral(t_tarjeta).format('0,0.00')+")");
			ingreso_venta = t_contado;
		
		
		}
			pagos()
      })
  }




  function pagos(){
	var c_pagos=0;  ///Cantidad ventas al contado
	var t_pagos=0;  ///Total de ventas al contado
	var c_otros=0;  ///Cantidad ventas al contado
	var t_otros=0;  ///Total de ventas al contado
	
    var sql = "select * from ingresos where secuencia='" + secuencia + "'";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        for(var i in rs.data){
			

			if(rs.data[i].tipo=="Credito"){
				c_pagos++;
				t_pagos+=parseFloat(rs.data[i].monto);
				
				
				
			}
			if(rs.data[i].tipo=="Otros"){
				c_otros++;
				t_otros+=parseFloat(rs.data[i].monto);
				
				
			}
			
		
			$("#lb-pagos").html(c_pagos+"("+numeral(t_pagos).format('0,0.00')+")");
			$("#lb-otros-ingresos").html(c_otros+"("+numeral(t_otros).format('0,0.00')+")");
			//ingresos+=parseFloat(t_pagos)
			ingresos_credito=t_pagos
			ingresos_otros = t_otros
		}
		
		
		devoluciones();
		
      })
  }



  function devoluciones(){
	var c_devoluciones=0;  ///Cantidad devoluciones
	var t_devoluciones=0;  ///Total de devoluciones
	
	
    var sql = "select * from devoluciones where secuencia='" + secuencia + "'";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        for(var i in rs.data){
				c_devoluciones++;
				t_devoluciones+=parseFloat(rs.data[i].importe);

			
			
			
		}
		
		$("#lb-devoluciones").html("<span class='text-danger'>"+c_devoluciones+"("+numeral(t_devoluciones).format('0,0.00')+")</span>");
			
			egresos_devoluciones=t_devoluciones;
		 iegresos();
      })
  }
  
   
    function iegresos(){
	var men=0;	
	var c_egresos=0;  ///Cantidad ventas al contado
	var t_egresos=0;  ///Total de ventas al contado
	var c_egresos_otros=0;  ///Cantidad ventas al contado
	var t_egresos_otros=0;  ///Total de ventas al contado
	
    var sql = "select * from egresos where secuencia='" + secuencia + "'";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        for(var i in rs.data){
			

			if(rs.data[i].tipo=="Produccion" || rs.data[i].tipo=="Compras" || rs.data[i].tipo=="Pago"){
				c_egresos++;
				t_egresos+=parseFloat(rs.data[i].monto);
				
				
				
			}
			
			
			if(rs.data[i].tipo=="Otros"){
				c_egresos_otros++;
				t_egresos_otros+=parseFloat(rs.data[i].monto);
				
				
			}



		
			$("#lb-egresos").html(c_egresos+"("+numeral(t_egresos).format('0,0.00')+")");
			$("#lb-otros-egresos").html(c_egresos_otros+"("+numeral(t_egresos_otros).format('0,0.00')+")");
			egresos_otros=t_egresos_otros;
			egresos_compras=t_egresos;
			
			
		}
	
		balance=0
		
      })
  }
  */
  var miBalance=0
  var miDiferencia=0
  setInterval(function(){
	  ///$("#lb-balance").html(numeral(parseFloat(ingreso_inicio)+parseFloat(ingreso_venta) + parseFloat(ingresos_credito)+parseFloat(ingresos_otros) - (parseFloat(egresos_compras) + parseFloat(egresos_otros) + parseFloat(egresos_devoluciones))).format('0,0.00'))
	  miBalance = parseFloat("<?php echo $bala?>")
 },500)

function cal(){
	var contado = $("#txt-conteo").val();
	var diferencia =parseFloat(contado) - parseFloat(miBalance)
	$("#lb-diferencia").html(numeral(diferencia).format('0,0.00'))
	miDiferencia = diferencia
}

function cierre_preview(){
		var param ="fecha="+$("#fecha_apertura").html();
			param +="&usuario="+myUser;
			param +="&inicio="+$("#lb-inicio").html();
			param +="&balance="+$("#lb-balance").html();
			param +="&conteo="+$("#txt-conteo").val();
			param +="&diferencia="+$("#lb-diferencia").html();
			param +="&venta-efectivo="+$("#lb-venta-efectivo").html();
			param +="&venta-contado="+$("#lb-venta-contado").html();
			param +="&venta-credito="+$("#lb-venta-credito").html();
			param +="&venta-cheque="+$("#lb-venta-cheque").html();
			param +="&venta-tarjeta="+$("#lb-venta-tarjeta").html();
			param +="&devoluciones="+$("#lb-devoluciones").html();
			param +="&pagos="+$("#lb-pagos").html();
			param +="&otros-ingresos="+$("#lb-otros-ingresos").html();
			param +="&egresos="+$("#lb-egresos").html();
			param +="&otros-egresos="+$("#lb-otros-egresos").html();
			param +="&secuencia="+secuencia;
			
			 if($("#tipo_vista").val()=="Detallado"){
				window.location.href = '../reportes/rptCierreTurnoDetallado.php?'+param
			 }else{
			  window.location.href = '../reportes/rptCierreTurno.php?'+param
			 }
		
}

</script>

<?php 
   require_once("../footer.php");
?>